package cn.com.countrygarden.bi.main.dao.dataMigration;

import cn.com.countrygarden.bi.main.model.bd_psndoc;
import org.apache.ibatis.annotations.Param;

import java.util.List;


public interface BdPsndocMapper {
   public void insertOrUpdatePlus(@Param("bd") List<bd_psndoc> bd);

   void insertErrorInfo(@Param("errorPageIndex") int errorPageIndex, @Param("errorMsg") String errorMsg);
    /**
     * 获取中间表最大的id数
     * @author ferren
     * @param
     * @return java.lang.Long
     */
   Long getMaxId();
    /**
     * 获取中间表最小的id数
     * @author ferren
     * @param
     * @return java.lang.Long
     */
    Long getMinId();

//    List<String> findWillAdd
//
//    List<bd_psndoc> findWillAddInfo(@Param("employeeCardIds")List<String> employeeCardIds, @Param("startId")Long startId, @Param("endId")Long endId);
    void insertWillAdd(@Param("startId")Long startId, @Param("endId")Long endId);

    /**
     * 更新所有的内容
     * @param startId
     * @param endId
     */
    void updateAll(@Param("startId")Long startId, @Param("endId")Long endId);

    /**
     * 删除doc人员表中间表数据
     * @author ferren
     * @date 2019/7/3 14:13
     * @param
     * @return void
     */
    void truncateTableBdPsndocBak();
}